Fix space leaks
ClosedPublic

Authored by simonmar on Jun 19 2018, 10:08 AM.

Details

Summary

All these were detected by -fghci-leak-check when GHC was
compiled *without* optimisation (e.g. using the "quick" build flavour).

Unfortunately I don't know of a good way to keep this working. I'd like
to just disable the -fghci-leak-check flag when the compiler is built
without optimisation, but it doesn't look like we have an easy way to do
that. And even if we could, it would be fragile anyway,

Test Plan

cd testsuite/tests/ghci; make

simonmar created this revision.Jun 19 2018, 10:08 AM
simonmar edited the summary of this revision. (Show Details)Jun 19 2018, 10:11 AM
tdammers requested changes to this revision.Jun 21 2018, 10:26 AM
tdammers added a subscriber: tdammers.

What about those failing CI tests? I can't make perfect sense of it, but IIUC, one test now allocates 16% less (which is to be expected, I think?), while another test now fails.

This revision now requires changes to proceed.Jun 21 2018, 10:26 AM

I'll take a look. On Linux there is only the one test showing an improvement, no failures.

simonmar updated this revision to Diff 17258.Jul 10 2018, 8:26 AM

Rebase + update T1969 stats

@bgamari what happened to the OSX build here?

This revision was not accepted when it landed; it landed in state Needs Review.Jul 16 2018, 9:48 AM
Closed by commit rGHC71f6b18ba365: Fix space leaks (authored by simonmar). · Explain Why
This revision was automatically updated to reflect the committed changes.